%define module_name Net-Ifconfig-Wrapper
%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(POSIX.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.16
Release: alt1
Summary: provides a unified way to configure network interfaces
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MT/MTHURN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides a unified way to configure the network interfaces
on FreeBSD, OpenBSD, Solaris, Linux, OS X, and WinNT (from Win2K) systems.


*Only `inet' (IPv4) and `ether' (MAC) addresses are supported at the moment*

On Unixes this module calls the system `ifconfig' command to perform the actions.
On Windows the functions from IpHlpAPI.DLL are called.

For all supported Unixes `Net::Ifconfig::Wrapper' expect `ifconfig'
command to be `/sbin/ifconfig'.

Module was tested on FreeBSD 4.7,4.8,5.3 (Intel), RedHat 6.2,7.3,8.0 (Intel),

Win2000 Pro (Intel), OpenBSD 3.1 (SPARC), Solaris 7 (SPARC),

OS X 10.3 (aka Panther), OS X 10.4 (aka Tiger).


*In MSWin32 family only WinNT is supported. In WinNT family only Win2K or later is supported.*


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes README.md
%perl_vendor_privlib/N*

%changelog
* Sun Nov 05 2017 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Sun Oct 08 2017 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

